# Contacts: delete

**Requires [authorization](https://developers.google.com/glass/v1/reference/contacts/delete#auth)**

Deletes a contact.
[See an example](https://developers.google.com/glass/v1/reference/contacts/delete#examples).

## Request

### HTTP request

```
DELETE https://www.googleapis.com/mirror/v1/contacts/id
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `id` | `string` | The ID of the contact. |

### Authorization

This request requires authorization with the following scope ([read more about authentication and authorization](https://developers.google.com/glass/authorization)).

| Scope |
|---|
| `https://www.googleapis.com/auth/glass.timeline` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/glass/tools-downloads/client-libraries) for a list of supported languages).

### Java

Uses the [Java client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```java
import com.google.api.services.mirror.Mirror;
import com.google.api.services.mirror.model.Contact;

import java.io.IOException;

public class MyClass {
  // ...

  /**
   * Delete a contact for the current user.
   * 
   * @param service Authorized Mirror service.
   * @param contactId ID of the Contact to delete.
   */
  public static void deleteContact(Mirror service, String contactId) {
    try {
      service.contacts().delete(contactId).execute();
    } catch (IOException e) {
      System.err.println("An error occurred: " + e);
    }
  }

  // ...
}
```

### .NET

Uses the [.NET client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```
using System;

using Google.Apis.Mirror.v1;

public class MyClass {
  // ...

  /// <summary>
  /// Delete a contact for the current user.
  /// </summary>
  /// <param name='service'>Authorized Mirror service.</param>
  /// <param name='contactId'>ID of the Contact to delete.</param>
  public static void DeleteContact(MirrorService service,
      String contactId) {
    try {
      service.Contacts.Delete(contactId).Fetch();
    } catch (Exception e) {
      Console.WriteLine("An error occurred: " + e.Message);
    }
  }

  // ...
}
```

### PHP

Uses the [PHP client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```php
/**
 * Delete a contact for the current user.
 *
 * @param Google_MirrorService $service Authorized Mirror service.
 * @param string $contactId ID of the Contact to delete.
 */
function deleteContact($service, $contactId) {
  try {
    $service->contacts->delete($contactId);
  } catch (Exception $e) {
    print 'An error occurred: ' . $e->getMessage();
  }
}
```

### Python

Uses the [Python client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```python
from apiclient import errors
# ...

def delete_contact(service, contact_id):
  """Delete a contact for the current user.

  Args:
    service: Authorized Mirror service.
    contact_id: ID of the Contact to delete.
  """
  try:
    service.contacts().delete(contact_id).execute()
  except errors.HttpError, error:
    print 'An error occurred: %s' % error
```

### Ruby

Uses the [Ruby client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```ruby
##
# Delete a contact for the current user.
#
# @param [Google::APIClient] client
#   Authorized client instance.
# @param [String] contact_id
#   ID of the contact to delete.
# @return nil
def delete_contact(client, contact_id)
  mirror = client.discovered_api('mirror', 'v1')
  result = client.execute(
    :api_method => mirror.contacts.delete,
    :parameters => { 'id' => contact_id })
  if result.error?
    puts "An error occurred: #{result.data['error']['message']}"
  end
end
```

### Go

Uses the [Go client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```go
import (
        "code.google.com/p/google-api-go-client/mirror/v1"
        "fmt"
)

// DeleteContact deletes a contact for the current user.
func DeleteContact(g *mirror.Service, contactId string) error {
        err := g.Contacts.Delete(contactId).Do()
        if err != nil {
                fmt.Printf("An error occurred: %v\n", err)
        }
        return err
}
```

### Raw HTTP

Does not use a client library.

```
DELETE /mirror/v1/contacts/harold HTTP/1.1
Authorization: Bearer auth token
```